FOLD(1)

NAME
fold - fold long lines for finite width output device

SYNOPSIS
fold [-bs] [-w width] [file ...]

DESCRIPTION
fold is a filter which folds the contents of the specified files, or the standard input if no files are specified, breaking the lines to have a maximum of 80 characters.

The options are as follows:

-b  Count width in bytes rather than column positions.

-s  Fold line after the last blank character within the first width column positions (or bytes). If a blank character does not exist within the width, then a longer line will still be split at the width.

-w width
    Specifies width to use as a line width, instead of the default 80 characters.

ENVIRONMENT

LC_CTYPE

EXIT STATUS

SEE ALSO
expand(1), fmt(1)

STANDARDS
The fold utility conforms to p1003.1-2008.

HISTORY
The fold utility appeared in 1BSD.

BUGS
If underlining is present it may be messed up by folding.

Width should be a multiple of 8 if tabs are present, or the tabs should be expanded using expand(1) before using fold.